﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Kendo.Mvc.UI;
using Kendo.Mvc.Extensions;
using KendoUIMVC5.Models;

namespace KendoUIMVC5.Controllers
{
    public class HomeController : Controller
    {
        private Random random = new Random();
        private List<Student> students;
        public HomeController()
        {
            students = new List<Student>();
            for (int i = 1; i < 50; i++)
            {
                students.Add(new Student
                {
                    Birthday = new DateTime(1995, 1, 12),
                    FirstName = "Student"+i,
                    LastName = "Student"+i,
                    Id = i,
                    InformaticsGrade = (char)(65 + random.Next(0, 6)),
                    MathsGrade = (char)(65 + i % 6),
                    ScienceGrade = (char)(65 + i % 6)
                });
            }

        }
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult GetStudents([DataSourceRequest] DataSourceRequest request)
        {

            return Json(students.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        public ActionResult EditStudent(Student student)
        {
            return Json(student);
        }

        public ActionResult GetStudentsGrades([DataSourceRequest] DataSourceRequest request, int id)
        {
            var student = students.Where(x => x.Id == id);

            return Json(student.ToDataSourceResult(request), JsonRequestBehavior.AllowGet);
        }

        private IEnumerable<char> GetRandomGrades()
        {
            var grades = new List<char>();
            for (int i = 0; i < 5; i++)
            {
                grades.Add((char)(65 + random.Next(0, 6)));
            }

            return grades;
        }
    }
}


